跳至內容

Vibevoice

整合

模型 id vibevoice/0.5b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vibevoice/0.5b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "speaker": "Frank"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.01 10 API 點數 在此頁面執行

取得 API 金鑰
Microsoft 文字轉語音 #vibevoice#fast

輕量級單一聲音文字轉語音,提供六種具名聲音,適合長篇腳本

Microsoft · 音訊

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 90000

用於語音合成的稿件。

speaker •必填

用來呈現語音的聲音。

進階 cfg_scale · seed · enable_safety_checker
預設 1.3

CFG(Classifier-Free Guidance)強度決定生成結果遵循文字的程度;設定值越高,遵循程度越高。

使生成結果可重現的隨機種子。

POST /run/vibevoice/0.5b?wait=20 報價 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vibevoice/0.5b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "speaker": "Frank"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Vibevoice

使用 `speaker` 選擇的單一聲音讀出最多 90000 個字元的 `script`:Frank、Wayne、Carter、Emma、Grace 或 Mike。可使用 `cfg_scale`(1 到 2)和 `seed` 進行調整並確保結果可重現。一次處理一位說話者,不同於多說話者版本。

參數

名稱類型 預設值允許值 說明
script必填
類型string
≤ 90,000 個字元
用於語音合成的稿件。
speaker必填
類型enum
FrankWayneCarterEmmaGraceMike
用來呈現語音的聲音。
seed選填
類型integer | null
使生成結果可重現的隨機種子。
cfg_scale選填
類型number
預設值1.3
1 – 2
CFG(Classifier-Free Guidance)強度決定生成結果遵循文字的程度;設定值越高,遵循程度越高。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vibevoice/0.5b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "script": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "speaker": "Frank"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "duration": 5,
    "sample_rate": 24000,
    "generation_time": 5.6,
    "rtf": 0.53
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
audio
object {url, content_type, file_name, file_size}包含合成語音的音訊檔案。
duration
number音訊輸出的長度,以秒為單位。
sample_rate
integer音訊輸出的取樣率。
generation_time
number音訊生成時間,以秒為單位。
rtf
number以 generation_time 除以 audio_duration 計算的即時因子;數值越小表示效能越好。

更多模型:文字轉語音

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/vibevoice/0.5b.md. 所有模型與指南: https://doitong.com/developers/llms.txt